Loading...
Searching...
No Matches
L4Re::Event_buffer_t< PAYLOAD > Class Template Reference
L4Re C++ Interface » Event API

Event buffer class. More...

`#include <event>`

Inheritance diagram for L4Re::Event_buffer_t< PAYLOAD >:
Collaboration diagram for L4Re::Event_buffer_t< PAYLOAD >:

## Data Structures

struct | Event
| Event structure used in buffer. More...

## Public Member Functions

| Event_buffer_t (void *buffer, l4_addr_t size)
| Initialize event buffer.
Event * | next () noexcept
| Next event in buffer.
bool | put (Event const &ev) noexcept
| Put event into buffer at current position.

## Detailed Description

template<typename PAYLOAD = Default_event_payload>
class L4Re::Event_buffer_t< PAYLOAD >

Event buffer class.

Definition at line 246 of file event.

## Constructor & Destructor Documentation

## Event_buffer_t()

template<typename PAYLOAD = Default_event_payload>

L4Re::Event_buffer_t< PAYLOAD >::Event_buffer_t | ( | void * | buffer,
|  | l4_addr_t | size )

inline

Initialize event buffer.

Parameters

  buffer | Pointer to buffer.
  size | Size of buffer in bytes.

Definition at line 293 of file event.

## Member Function Documentation

## next()

template<typename PAYLOAD = Default_event_payload>

Event * L4Re::Event_buffer_t< PAYLOAD >::next | ( |  | ) |

inlinenoexcept

Next event in buffer.

Returns
  0 if no event available, event otherwise.

Definition at line 303 of file event.

## put()

template<typename PAYLOAD = Default_event_payload>

bool L4Re::Event_buffer_t< PAYLOAD >::put | ( | Event const & | ev | ) |

inlinenoexcept

Put event into buffer at current position.

Parameters

  ev | Event to put into the buffer.

Returns
  false if buffer is full and entry could not be added.

Definition at line 320 of file event.

The documentation for this class was generated from the following file:

- l4/re/event